/*******************************************************************************
 **
 ** Licensed Materials - Property of IBM
 **
 ** (C) COPYRIGHT International Business Machines Corp. 2000, 2001
 ** All Rights Reserved.
 **
 ******************************************************************************/

#ifndef __CLPSPLASHVIEW_H__
#define __CLPSPLASHVIEW_H__

#include "CLPbitmap.h"

/******************************************************************************/
/** Declaration of CLASSES                                                   **/
/******************************************************************************/

class CCLPSplashView : public CCoeControl
  {
public:
  ~CCLPSplashView();
  void ConstructL(const TRect& aRect);
  IMPORT_C TInt ExecuteLD(TInt aResourceId);
  void Draw(const TRect& aRect) const;

private:  //framework
  TInt CountComponentControls() const; 
  void LoadBitmapL(CFbsBitmap* aBitMap,const TDesC& aPathAndFile,TInt aId,TBool aShareIfLoaded);
  void CreateBitMapsL();

  CFbsBitmap* iCLPabouti;
  CFbsBitmap* iCLPaboutm;
  };

#endif  //__CLPSPLASHVIEW_H__
