package java.sql;

/* 
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2000 All Rights Reserved
 */

import java.util.Hashtable;

public interface Driver {

   public Connection connect(String url, Hashtable info) throws SQLException;

   public boolean acceptsURL(String url) throws SQLException;

   public DriverPropertyInfo[] getPropertyInfo(String url, Hashtable info) 
      throws SQLException;

   public int getMajorVersion();

   public int getMinorVersion();

   public boolean jdbcCompliant();

}

